RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.ipc.protobuf, class: RpcHeaderProtos, class: RpcResponseHeaderProto, enum: RpcErrorCodeProto

Package org.apache.hadoop.ipc.protobuf

# Enum Class RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto

java.lang.Object
java.lang.Enum<RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto>
org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto

All Implemented Interfaces:
  `Serializable`, `Comparable<RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.ipc.protobuf.RpcHeaderProtos.RpcResponseHeaderProto

public static enum RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto extends Enum<RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.common.RpcResponseHeaderProto.RpcErrorCodeProto`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR_APPLICATION`
  Non-fatal Rpc error - connection left open for future rpc calls
  `ERROR_NO_SUCH_METHOD`
  Rpc error - no such method
  `ERROR_NO_SUCH_PROTOCOL`
  Rpc error - no such protocol
  `ERROR_RPC_SERVER`
  Rpc error on server side
  `ERROR_RPC_VERSION_MISMATCH`
  Rpc protocol version mismatch
  `ERROR_SERIALIZING_RESPONSE`
  error serializign response
  `FATAL_DESERIALIZING_REQUEST`
  could not deserilize rpc request
  `FATAL_INVALID_RPC_HEADER`
  fields of RpcHeader are invalid
  `FATAL_UNAUTHORIZED`
  Auth failed
  `FATAL_UNKNOWN`
  Fatal Server side Rpc error - connection closed
  `FATAL_UNSUPPORTED_SERIALIZATION`
  IPC layer serilization type invalid
  `FATAL_VERSION_MISMATCH`
  Ipc Layer version mismatch

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `ERROR_APPLICATION_VALUE`
  Non-fatal Rpc error - connection left open for future rpc calls
  `static final int`
  `ERROR_NO_SUCH_METHOD_VALUE`
  Rpc error - no such method
  `static final int`
  `ERROR_NO_SUCH_PROTOCOL_VALUE`
  Rpc error - no such protocol
  `static final int`
  `ERROR_RPC_SERVER_VALUE`
  Rpc error on server side
  `static final int`
  `ERROR_RPC_VERSION_MISMATCH_VALUE`
  Rpc protocol version mismatch
  `static final int`
  `ERROR_SERIALIZING_RESPONSE_VALUE`
  error serializign response
  `static final int`
  `FATAL_DESERIALIZING_REQUEST_VALUE`
  could not deserilize rpc request
  `static final int`
  `FATAL_INVALID_RPC_HEADER_VALUE`
  fields of RpcHeader are invalid
  `static final int`
  `FATAL_UNAUTHORIZED_VALUE`
  Auth failed
  `static final int`
  `FATAL_UNKNOWN_VALUE`
  Fatal Server side Rpc error - connection closed
  `static final int`
  `FATAL_UNSUPPORTED_SERIALIZATION_VALUE`
  IPC layer serilization type invalid
  `static final int`
  `FATAL_VERSION_MISMATCH_VALUE`
  Ipc Layer version mismatch

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto>`
  `internalGetValueMap()`
  `static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto`
  `valueOf(int value)`
  Deprecated.
  `static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ERROR_APPLICATION

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_APPLICATION

         Non-fatal Rpc error - connection left open for future rpc calls

    `ERROR_APPLICATION = 1;`

  - ### ERROR_NO_SUCH_METHOD

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_NO_SUCH_METHOD

         Rpc error - no such method

    `ERROR_NO_SUCH_METHOD = 2;`

  - ### ERROR_NO_SUCH_PROTOCOL

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_NO_SUCH_PROTOCOL

         Rpc error - no such protocol

    `ERROR_NO_SUCH_PROTOCOL = 3;`

  - ### ERROR_RPC_SERVER

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_RPC_SERVER

         Rpc error on server side

    `ERROR_RPC_SERVER = 4;`

  - ### ERROR_SERIALIZING_RESPONSE

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_SERIALIZING_RESPONSE

         error serializign response

    `ERROR_SERIALIZING_RESPONSE = 5;`

  - ### ERROR_RPC_VERSION_MISMATCH

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto ERROR_RPC_VERSION_MISMATCH

         Rpc protocol version mismatch

    `ERROR_RPC_VERSION_MISMATCH = 6;`

  - ### FATAL_UNKNOWN

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_UNKNOWN

         Fatal Server side Rpc error - connection closed

    `FATAL_UNKNOWN = 10;`

  - ### FATAL_UNSUPPORTED_SERIALIZATION

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_UNSUPPORTED_SERIALIZATION

         IPC layer serilization type invalid

    `FATAL_UNSUPPORTED_SERIALIZATION = 11;`

  - ### FATAL_INVALID_RPC_HEADER

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_INVALID_RPC_HEADER

         fields of RpcHeader are invalid

    `FATAL_INVALID_RPC_HEADER = 12;`

  - ### FATAL_DESERIALIZING_REQUEST

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_DESERIALIZING_REQUEST

         could not deserilize rpc request

    `FATAL_DESERIALIZING_REQUEST = 13;`

  - ### FATAL_VERSION_MISMATCH

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_VERSION_MISMATCH

         Ipc Layer version mismatch

    `FATAL_VERSION_MISMATCH = 14;`

  - ### FATAL_UNAUTHORIZED

    public static final RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto FATAL_UNAUTHORIZED

         Auth failed

    `FATAL_UNAUTHORIZED = 15;`

- ## Field Details

  - ### ERROR_APPLICATION_VALUE

    public static final int ERROR_APPLICATION_VALUE

         Non-fatal Rpc error - connection left open for future rpc calls

    `ERROR_APPLICATION = 1;`
    See Also:
      - Constant Field Values

  - ### ERROR_NO_SUCH_METHOD_VALUE

    public static final int ERROR_NO_SUCH_METHOD_VALUE

         Rpc error - no such method

    `ERROR_NO_SUCH_METHOD = 2;`
    See Also:
      - Constant Field Values

  - ### ERROR_NO_SUCH_PROTOCOL_VALUE

    public static final int ERROR_NO_SUCH_PROTOCOL_VALUE

         Rpc error - no such protocol

    `ERROR_NO_SUCH_PROTOCOL = 3;`
    See Also:
      - Constant Field Values

  - ### ERROR_RPC_SERVER_VALUE

    public static final int ERROR_RPC_SERVER_VALUE

         Rpc error on server side

    `ERROR_RPC_SERVER = 4;`
    See Also:
      - Constant Field Values

  - ### ERROR_SERIALIZING_RESPONSE_VALUE

    public static final int ERROR_SERIALIZING_RESPONSE_VALUE

         error serializign response

    `ERROR_SERIALIZING_RESPONSE = 5;`
    See Also:
      - Constant Field Values

  - ### ERROR_RPC_VERSION_MISMATCH_VALUE

    public static final int ERROR_RPC_VERSION_MISMATCH_VALUE

         Rpc protocol version mismatch

    `ERROR_RPC_VERSION_MISMATCH = 6;`
    See Also:
      - Constant Field Values

  - ### FATAL_UNKNOWN_VALUE

    public static final int FATAL_UNKNOWN_VALUE

         Fatal Server side Rpc error - connection closed

    `FATAL_UNKNOWN = 10;`
    See Also:
      - Constant Field Values

  - ### FATAL_UNSUPPORTED_SERIALIZATION_VALUE

    public static final int FATAL_UNSUPPORTED_SERIALIZATION_VALUE

         IPC layer serilization type invalid

    `FATAL_UNSUPPORTED_SERIALIZATION = 11;`
    See Also:
      - Constant Field Values

  - ### FATAL_INVALID_RPC_HEADER_VALUE

    public static final int FATAL_INVALID_RPC_HEADER_VALUE

         fields of RpcHeader are invalid

    `FATAL_INVALID_RPC_HEADER = 12;`
    See Also:
      - Constant Field Values

  - ### FATAL_DESERIALIZING_REQUEST_VALUE

    public static final int FATAL_DESERIALIZING_REQUEST_VALUE

         could not deserilize rpc request

    `FATAL_DESERIALIZING_REQUEST = 13;`
    See Also:
      - Constant Field Values

  - ### FATAL_VERSION_MISMATCH_VALUE

    public static final int FATAL_VERSION_MISMATCH_VALUE

         Ipc Layer version mismatch

    `FATAL_VERSION_MISMATCH = 14;`
    See Also:
      - Constant Field Values

  - ### FATAL_UNAUTHORIZED_VALUE

    public static final int FATAL_UNAUTHORIZED_VALUE

         Auth failed

    `FATAL_UNAUTHORIZED = 15;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static RpcHeaderProtos.RpcResponseHeaderProto.RpcErrorCodeProto valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null